//
//  AllocInfo.m  - info on one user-controlled memory allocation
//  VMTester
//
//  Created by Cameron Hayne on 28/11/04.
//  Copyright 2006 Hayne of Tintagel.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#import "AllocInfo.h"

#define BYTES_PER_MB (1024.0 * 1024.0)

@implementation AllocInfo

- (id)initWithNumBytes:(unsigned)numBytes MemAddr:(void *)memAddr Used:(bool)used
{
    myDate = [[NSCalendarDate date] retain];
    myNumBytes = numBytes;
    myMemAddr = memAddr;
    myUsed = used;
    
    return self;
}

- (void)dealloc
{
    [myDate release];
    [super dealloc];
}

- (NSString *)timeStr
{
    return [myDate descriptionWithCalendarFormat: @"%H:%M:%S"];
}

- (unsigned)numBytes
{
    return myNumBytes;
}

- (float)numMegaBytes
{
    return (myNumBytes / BYTES_PER_MB);
}

- (void *)memAddr
{
    return myMemAddr;
}

- (bool)used
{
    return myUsed;
}

@end
